Skip to content
Developer

Invoice

Billing23 EndpointsBilling / Invoice

This method will get all Invoice Objects

GET/api/invoice/invoices

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of Invoice objectsarray<Invoice>

Show fields (38)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • buyerInvoiceBuyer

    Buyer of the invoice.

    Show fields (22)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • invoiceInvoice

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • cancel_datestring (date-time)

    Date the invoice was canceled.

  • cancel_textstring

    Text of the cancellation.

  • start_datestring (date-time)

    Start of the billed period.

  • end_datestring (date-time)

    End of the billed period.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "tax": {
      "name": "Beispiel",
      "id": 42,
      "value": 1.5,
      "deleted": true,
      "global_default": true,
      "datev_tax_key": 1
    },
    "accounting_type": {
      "name": "Beispiel",
      "type": "string",
      "id": 42,
      "cancelled_name": "Beispiel",
      "deleted": true
    },
    "id": 42,
    "currency": "EUR",
    "name": "Beispiel",
    "linked_number_title": "Beispiel",
    "cancel_text": "Text",
    "token": "string",
    "number": 1,
    "manual_number_prefix": "string"
  }
]

Creates a single Invoice

POST/api/invoice/invoices

Request body application/json

  • invoiceInvoice2
    Show fields (9)
    • accounting_typeAccountingTyperequired

      Accounting type of the invoice.

    • payment_typePaymentType6

      Payment type of the invoice.

    • payment_goalPaymentGoal

      Payment term of the invoice.

    • itemsarray<InvoiceItem2>

      Items of the invoice.

    • buyerInvoiceBuyer2

      Buyer of the invoice.

    • vat_categorystring

      Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

    • start_datestring (date-time)

      Start of the billed period.

    • end_datestring (date-time)

      End of the billed period.

    • billing_payment_profileBillingPaymentProfile9

Responses

200Creates a single InvoiceInvoice3

Show fields (45)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • base_booking_groupBaseBookingGroup10

    Booking group the document is based on.

    Show fields (16)
    • idinteger

      Primary key of the booking group. Internal ID.

    • start_timestring (date-time)

      Start of the booking group.

    • end_timestring (date-time)

      End of the booking group.

    • booking_typestring

      Type of the bookings in the group.

    • booking_statusstring

      Status of the bookings in the group.

    • externalboolean

      The group was made by an external party.

    • billing_typestring

      Billing type of the group, for example per booking or per group.

    • people_countinteger

      Number of people in the group.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • deletion_reasonstring

      Reason for the deletion.

    • deletion_datestring (date-time)

      Point in time of the deletion.

    • colorstring

      Background color as hex value.

    • fg_colorstring

      Foreground color as hex value.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • itemsarray<InvoiceItem3>

    Items of the invoice.

    Show fields (18)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • invoiceInvoice3

      Invoice the item belongs to.

    • project_itemCRMProjectItem8

      Project item the invoice item was created from.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the item was created for.

    • productPredefinedBillingItem15

      Product of the item.

  • buyerInvoiceBuyer3

    Buyer of the invoice.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • invoiceInvoice3

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • offerOffer9

    Offer the invoice was created from.

    Show fields (36)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • base_booking_groupBaseBookingGroup10

      Booking group the document is based on.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem8>

      Items of the offer.

    • buyerOfferBuyer8

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject17

      Project the offer belongs to.

    • invoicesarray<Invoice3>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the offer was created for.

    • base_bookingBaseBooking12

      Booking the offer was created for.

    • base_event_sign_up_groupBaseEventSignUpGroup2

      Sign-up group the offer was created for.

  • time_reportsarray<ProjectTimeReport4>

    Time reports billed on the invoice.

    Show fields (8)
    • idinteger

      Primary key of the project time report. Internal ID.

    • projectCRMProject17

      Project the time report belongs to.

    • invoiceInvoice3

      Invoice the time report was billed on.

    • time_billed_on_ticket_closeboolean

      Time is billed when the ticket is closed.

    • startstring (date-time)

      Start of the reported period.

    • endstring (date-time)

      End of the reported period.

    • time_string_billablestring

      Billable time as text.

    • time_string_not_billablestring

      Non-billable time as text.

  • payment_provider_statusstring

    Status at the payment provider.

  • payment_provider_referencestring

    Reference at the payment provider.

  • payment_provider_transaction_referencestring

    Transaction reference at the payment provider.

  • cancel_datestring (date-time)

    Date the invoice was canceled.

  • cancel_textstring

    Text of the cancellation.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the invoice was created for.

    Show fields (4)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • … 58 more fields
  • … 8 more fields
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/invoices \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "invoice": {
    "accounting_type": {
      "name": "Beispiel",
      "type": "string",
      "id": 42,
      "cancelled_name": "Beispiel",
      "deleted": true
    },
    "payment_type": {
      "deleted": true
    },
    "payment_goal": {
      "id": 42,
      "name": "Beispiel",
      "date_string": "string",
      "deleted": true,
      "global_default": true
    },
    "buyer": {
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163",
      "address_country": "DE",
      "address_full_country": "DE",
      "payment_bic": "BYLADEM1001"
    },
    "vat_category": "string",
    "start_date": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1,
      "category_type": "string",
      "is_vat_deductible": true,
      "is_immediate_deduction": true,
      "depreciation_years": 1
    }
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "cancel_text": "Text",
  "token": "string",
  "number": 1,
  "manual_number_prefix": "string"
}

Returns the default values used for creating free invoices.

GET/api/invoice/invoices/creation_defaults

All fields are optional and only populated when configured via settings.

Responses

200Returns the invoice creation defaultsobject

Show fields (5)
  • default_accounting_typestring

    Type string of the default AccountingType (e.g. 'general'). Null if not configured.

  • default_multiple_tax_ratesboolean

    Whether 'apply multiple tax rates' should be enabled by default.

  • default_unitstring

    Default unit for free positions (e.g. 'pauschal'). Null if not configured.

  • default_quantitynumber (float)

    Default quantity for free positions. Null if not configured.

  • default_price_is_bruttoboolean

    Whether price should default to brutto instead of netto.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/creation_defaults \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "default_accounting_type": "string",
  "default_multiple_tax_rates": true,
  "default_unit": "string",
  "default_quantity": 1.5,
  "default_price_is_brutto": true
}

This method will print an Invoice as PDF (optional with ZUGFeRD XML)

GET/api/invoice/invoices/{id}/pdf

Path parameters

idrequiredstring

Responses

200Returns the Invoice as PDF file

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42/pdf \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will return the GiroCode (EPC QR code) of an open Invoice for a bank transfer

GET/api/invoice/invoices/{id}/girocode

Requires the setting inwendo_invoice_girocode_enabled. Fails with 400 if the invoice gets no code (cancelled, paid, nothing to pay, direct debit or no valid IBAN in the company data).

Path parameters

idrequiredstring

Responses

200Returns payload, SVG, amount and remittance of the GiroCode

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42/girocode \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will print an ZUGFeRD XML

GET/api/invoice/invoices/{id}/zugferd

Path parameters

idrequiredstring

Responses

200Returns the Invoice as ZUGFeRD XML

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42/zugferd \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will get a single Invoice Object with the given id

GET/api/invoice/invoices/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single InvoiceInvoice4

Show fields (50)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • base_booking_groupBaseBookingGroup10

    Booking group the document is based on.

    Show fields (16)
    • idinteger

      Primary key of the booking group. Internal ID.

    • start_timestring (date-time)

      Start of the booking group.

    • end_timestring (date-time)

      End of the booking group.

    • booking_typestring

      Type of the bookings in the group.

    • booking_statusstring

      Status of the bookings in the group.

    • externalboolean

      The group was made by an external party.

    • billing_typestring

      Billing type of the group, for example per booking or per group.

    • people_countinteger

      Number of people in the group.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • deletion_reasonstring

      Reason for the deletion.

    • deletion_datestring (date-time)

      Point in time of the deletion.

    • colorstring

      Background color as hex value.

    • fg_colorstring

      Foreground color as hex value.

  • mit_last_send_emailstring (date-time)

    Point in time the last e-mail was sent.

  • mit_to_emailstring

    E-mail address the mail is intended for.

  • mit_should_send_emailboolean

    Whether an e-mail should be sent.

  • mit_last_send_postalstring (date-time)

    Point in time the last letter was sent.

  • mit_to_address_namestring

    Name of the postal recipient.

  • mit_to_address_street_levelstring

    Street and house number of the postal recipient.

  • mit_to_address_citystring

    City of the postal recipient.

  • mit_to_address_zipstring

    Postal code of the postal recipient.

  • mit_to_address_countrystring

    Country of the postal recipient.

  • mit_should_send_postalboolean

    Whether a letter should be sent.

  • import_origin_idstring

    ID of the record in the source system of the import.

  • import_origin_id_altstring

    Alternative ID of the record in the source system of the import.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • itemsarray<InvoiceItem4>

    Items of the invoice.

    Show fields (18)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • invoiceInvoice4

      Invoice the item belongs to.

    • project_itemCRMProjectItem10

      Project item the invoice item was created from.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the item was created for.

    • productPredefinedBillingItem17

      Product of the item.

  • buyerInvoiceBuyer4

    Buyer of the invoice.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • invoiceInvoice4

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • offerOffer10

    Offer the invoice was created from.

    Show fields (43)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • base_booking_groupBaseBookingGroup10

      Booking group the document is based on.

    • mit_last_send_emailstring (date-time)

      Point in time the last e-mail was sent.

    • mit_to_emailstring

      E-mail address the mail is intended for.

    • mit_should_send_emailboolean

      Whether an e-mail should be sent.

    • mit_last_send_postalstring (date-time)

      Point in time the last letter was sent.

    • mit_to_address_namestring

      Name of the postal recipient.

    • mit_to_address_street_levelstring

      Street and house number of the postal recipient.

    • mit_to_address_citystring

      City of the postal recipient.

    • mit_to_address_zipstring

      Postal code of the postal recipient.

    • mit_to_address_countrystring

      Country of the postal recipient.

    • mit_should_send_postalboolean

      Whether a letter should be sent.

    • import_origin_idstring

      ID of the record in the source system of the import.

    • import_origin_id_altstring

      Alternative ID of the record in the source system of the import.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem9>

      Items of the offer.

    • buyerOfferBuyer9

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • … 6 more fields
  • … 15 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1,
      "category_type": "string",
      "is_vat_deductible": true,
      "is_immediate_deduction": true,
      "depreciation_years": 1
    }
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "mit_last_send_email": "2026-10-15T09:30:00+02:00",
  "mit_to_email": "lena.hartmann@example.org",
  "mit_should_send_email": true,
  "mit_to_address_name": "Beispiel"
}

This method will get a new Invoice Object for the given offer id

GET/api/invoice/invoices/{offerIdentifier}/offers/{percentage}

Path parameters

offerIdentifierrequiredstring
percentagerequiredstring

Responses

200Returns a new Invoice for the given OfferInvoice5

Show fields (45)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • base_booking_groupBaseBookingGroup10

    Booking group the document is based on.

    Show fields (16)
    • idinteger

      Primary key of the booking group. Internal ID.

    • start_timestring (date-time)

      Start of the booking group.

    • end_timestring (date-time)

      End of the booking group.

    • booking_typestring

      Type of the bookings in the group.

    • booking_statusstring

      Status of the bookings in the group.

    • externalboolean

      The group was made by an external party.

    • billing_typestring

      Billing type of the group, for example per booking or per group.

    • people_countinteger

      Number of people in the group.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • deletion_reasonstring

      Reason for the deletion.

    • deletion_datestring (date-time)

      Point in time of the deletion.

    • colorstring

      Background color as hex value.

    • fg_colorstring

      Foreground color as hex value.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • itemsarray<InvoiceItem5>

    Items of the invoice.

    Show fields (18)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • invoiceInvoice5

      Invoice the item belongs to.

    • project_itemCRMProjectItem11

      Project item the invoice item was created from.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the item was created for.

    • productPredefinedBillingItem18

      Product of the item.

  • buyerInvoiceBuyer5

    Buyer of the invoice.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • invoiceInvoice5

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • offerOffer11

    Offer the invoice was created from.

    Show fields (36)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • base_booking_groupBaseBookingGroup10

      Booking group the document is based on.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem10>

      Items of the offer.

    • buyerOfferBuyer10

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject19

      Project the offer belongs to.

    • invoicesarray<Invoice5>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the offer was created for.

    • base_bookingBaseBooking12

      Booking the offer was created for.

    • base_event_sign_up_groupBaseEventSignUpGroup2

      Sign-up group the offer was created for.

  • time_reportsarray<ProjectTimeReport6>

    Time reports billed on the invoice.

    Show fields (8)
    • idinteger

      Primary key of the project time report. Internal ID.

    • projectCRMProject19

      Project the time report belongs to.

    • invoiceInvoice5

      Invoice the time report was billed on.

    • time_billed_on_ticket_closeboolean

      Time is billed when the ticket is closed.

    • startstring (date-time)

      Start of the reported period.

    • endstring (date-time)

      End of the reported period.

    • time_string_billablestring

      Billable time as text.

    • time_string_not_billablestring

      Non-billable time as text.

  • payment_provider_statusstring

    Status at the payment provider.

  • payment_provider_referencestring

    Reference at the payment provider.

  • payment_provider_transaction_referencestring

    Transaction reference at the payment provider.

  • cancel_datestring (date-time)

    Date the invoice was canceled.

  • cancel_textstring

    Text of the cancellation.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the invoice was created for.

    Show fields (4)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • … 58 more fields
  • … 7 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42/offers/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1,
      "category_type": "string",
      "is_vat_deductible": true,
      "is_immediate_deduction": true,
      "depreciation_years": 1
    }
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "cancel_text": "Text",
  "token": "string",
  "number": 1,
  "manual_number_prefix": "string"
}

This method will get a new Invoice Object for a single projectitem

GET/api/invoice/invoices/{projectItemIdentifier}/projectitem

Path parameters

projectItemIdentifierrequiredstring

Responses

200Returns a new Invoice for a single ProjectItemInvoice5

Show fields (45)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • base_booking_groupBaseBookingGroup10

    Booking group the document is based on.

    Show fields (16)
    • idinteger

      Primary key of the booking group. Internal ID.

    • start_timestring (date-time)

      Start of the booking group.

    • end_timestring (date-time)

      End of the booking group.

    • booking_typestring

      Type of the bookings in the group.

    • booking_statusstring

      Status of the bookings in the group.

    • externalboolean

      The group was made by an external party.

    • billing_typestring

      Billing type of the group, for example per booking or per group.

    • people_countinteger

      Number of people in the group.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • deletion_reasonstring

      Reason for the deletion.

    • deletion_datestring (date-time)

      Point in time of the deletion.

    • colorstring

      Background color as hex value.

    • fg_colorstring

      Foreground color as hex value.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • itemsarray<InvoiceItem5>

    Items of the invoice.

    Show fields (18)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • invoiceInvoice5

      Invoice the item belongs to.

    • project_itemCRMProjectItem11

      Project item the invoice item was created from.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the item was created for.

    • productPredefinedBillingItem18

      Product of the item.

  • buyerInvoiceBuyer5

    Buyer of the invoice.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • invoiceInvoice5

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • offerOffer11

    Offer the invoice was created from.

    Show fields (36)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • base_booking_groupBaseBookingGroup10

      Booking group the document is based on.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem10>

      Items of the offer.

    • buyerOfferBuyer10

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject19

      Project the offer belongs to.

    • invoicesarray<Invoice5>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the offer was created for.

    • base_bookingBaseBooking12

      Booking the offer was created for.

    • base_event_sign_up_groupBaseEventSignUpGroup2

      Sign-up group the offer was created for.

  • time_reportsarray<ProjectTimeReport6>

    Time reports billed on the invoice.

    Show fields (8)
    • idinteger

      Primary key of the project time report. Internal ID.

    • projectCRMProject19

      Project the time report belongs to.

    • invoiceInvoice5

      Invoice the time report was billed on.

    • time_billed_on_ticket_closeboolean

      Time is billed when the ticket is closed.

    • startstring (date-time)

      Start of the reported period.

    • endstring (date-time)

      End of the reported period.

    • time_string_billablestring

      Billable time as text.

    • time_string_not_billablestring

      Non-billable time as text.

  • payment_provider_statusstring

    Status at the payment provider.

  • payment_provider_referencestring

    Reference at the payment provider.

  • payment_provider_transaction_referencestring

    Transaction reference at the payment provider.

  • cancel_datestring (date-time)

    Date the invoice was canceled.

  • cancel_textstring

    Text of the cancellation.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the invoice was created for.

    Show fields (4)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

    • … 58 more fields
  • … 7 more fields
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/invoices/42/projectitem \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "tax": {
    "name": "Beispiel",
    "id": 42,
    "value": 1.5,
    "deleted": true,
    "global_default": true,
    "datev_tax_key": 1
  },
  "accounting_type": {
    "name": "Beispiel",
    "type": "string",
    "id": 42,
    "cancelled_name": "Beispiel",
    "deleted": true,
    "default_expense_category": {
      "id": 42,
      "eur_line_name": "Beispiel",
      "color": "#3f5efb",
      "name": "Beispiel",
      "code": "string",
      "eur_line_number": 1,
      "category_type": "string",
      "is_vat_deductible": true,
      "is_immediate_deduction": true,
      "depreciation_years": 1
    }
  },
  "id": 42,
  "currency": "EUR",
  "name": "Beispiel",
  "linked_number_title": "Beispiel",
  "cancel_text": "Text",
  "token": "string",
  "number": 1,
  "manual_number_prefix": "string"
}

This method will get a new Invoice Object for the project

GET/api/invoice/invoices/{projectIdentifier}/project

Path parameters

projectIdentifierrequiredstring

Responses

200Returns a new Invoice for a ProjectInvoice5

Show fields (45)
  • idinteger

    Primary key of the invoice document. Internal ID.

  • tokenstring

    Token that identifies the document for public access.

  • numberinteger

    Running document number.

  • manual_number_prefixstring

    Prefix of a manually entered document number.

  • manual_numberinteger

    Manually entered document number.

  • number_stringstring

    Document number as displayed to users.

  • generation_datestring (date-time)

    Date the document was generated.

  • number_datestring (date-time)

    Date used for the document number.

  • messagestring

    Message printed on the document.

  • currencystring

    Currency of the document.

  • namestring

    Name of the document.

  • due_datestring (date-time)

    Due date of the document.

  • netto_valuenumber (float)

    Net total of the document.

  • brutto_valuenumber (float)

    Gross total of the document.

  • tax_valuenumber (float)

    Total tax amount of the document.

  • taxTaxrequired

    Tax rate applied to the document.

    Show fields (6)
    • idinteger

      Primary key of the tax rate. Internal ID.

    • namestringrequired

      Name of the tax rate, for example 19 percent.

    • valuenumber (float)

      Tax rate in percent.

    • deletedboolean

      The tax rate is deleted.

    • global_defaultboolean

      Default tax rate for new items.

    • datev_tax_keyinteger

      DATEV Steuerschlüssel für Umsatzsteuer (Ausgangsrechnungen). Wird von BuchhaltungsButler und DATEV-Export genutzt. Standardwerte: 0 = Kein Steuerausweis (0%) 2 = Umsatzsteuer 7% (ermäßigt) 3 = Umsatzsteuer 19% (Regelsteuersatz) Für Vorsteuer (Eingangsrechnungen) gibt es eine spiegelbildliche Zuordnung: 0 = Keine Vorsteuer (0%) 5 = Vorsteuer 7% 8 = Vorsteuer 19%

  • linked_number_titlestring

    Title of the linked document number.

  • linked_numberstring

    Number of the linked document.

  • statusstring

    Status of the document.

  • previous_statusstring

    Status before the last change.

  • status_updatedstring (date-time)

    Point in time the status was last changed.

  • archivedboolean

    Whether the document is archived.

  • last_pdf_exportstring (date-time)

    Point in time the PDF was last exported.

  • last_status_exportstring

    Status at the last export.

  • base_booking_groupBaseBookingGroup10

    Booking group the document is based on.

    Show fields (16)
    • idinteger

      Primary key of the booking group. Internal ID.

    • start_timestring (date-time)

      Start of the booking group.

    • end_timestring (date-time)

      End of the booking group.

    • booking_typestring

      Type of the bookings in the group.

    • booking_statusstring

      Status of the bookings in the group.

    • externalboolean

      The group was made by an external party.

    • billing_typestring

      Billing type of the group, for example per booking or per group.

    • people_countinteger

      Number of people in the group.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • deletion_reasonstring

      Reason for the deletion.

    • deletion_datestring (date-time)

      Point in time of the deletion.

    • colorstring

      Background color as hex value.

    • fg_colorstring

      Foreground color as hex value.

  • search_stringstring

    Text that the entity can be searched by.

  • accounting_typeAccountingTyperequired

    Accounting type of the invoice.

    Show fields (6)
    • idinteger

      Primary key of the accounting type. Internal ID.

    • namestringrequired

      Name of the accounting type, for example course fee.

    • cancelled_namestring

      Name used when an invoice of this type is canceled.

    • typestringrequired

      Type of the accounting type, for example invoice or credit note.

    • deletedboolean

      The accounting type is deleted.

    • default_expense_categoryExpenseCategory10

      Standard-EÜR-Kategorie für diesen Rechnungstyp (für Einnahmen-Mapping)

  • payment_typePaymentType

    Payment type of the invoice.

    Show fields (10)
    • idinteger

      Primary key of the payment type. Internal ID.

    • namestring

      Name of the payment type, for example transfer or cash.

    • autoboolean

      Payments of this type are matched automatically.

    • conditionsstring

      Conditions for matching payments to this type.

    • linked_keywordsstring

      Keywords in bank transactions that link to this payment type.

    • global_defaultboolean

      Default payment type for new invoices.

    • bank_import_defaultboolean

      Default payment type for bank imports.

    • is_direct_debitboolean

      The payment type is a direct debit.

    • is_externalboolean

      The payment is handled by an external service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • payment_goalPaymentGoal

    Payment term of the invoice.

    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

  • expense_categoryExpenseCategory10

    EÜR-Kategorie für diese Rechnung (Einnahmen-Zuordnung) Wenn nicht gesetzt, wird die Default-Kategorie des AccountingTypes verwendet

    Show fields (19)
    • idinteger

      Primary key of the expense category. Internal ID.

    • codestring

      Kurzbezeichnung/Code (z.B. "WAREN", "PERSONAL", "MIETE")

    • eur_line_numberinteger

      Zeile in der Anlage EÜR (z.B. 23 für Wareneinkauf)

    • eur_line_namestring

      Bezeichnung der EÜR-Zeile (z.B. "Waren, Rohstoffe und Hilfsstoffe")

    • category_typestring

      Typ der Kategorie (expense, income, neutral, asset, private)

    • default_taxTax

      Standard-Steuersatz für diese Kategorie

    • cost_centerCostCenter

      Kostenstelle der Kategorie - bei Vereinen die steuerliche Sphäre. Ein Beleg trägt keine eigene Sphäre; über seine Kategorie bekommt er eine. Die EÜR des wirtschaftlichen Geschäftsbetriebs liest sie (billing_euer_commercial_sphere_only), die automatische Buchung setzt sie auf die Buchungszeilen (billing_accounting_cost_center_from_category).

    • is_vat_deductibleboolean

      Ist Vorsteuerabzug möglich?

    • is_immediate_deductionboolean

      Ist die Kategorie sofort abzugsfähig? (vs. Abschreibung über mehrere Jahre)

    • depreciation_yearsinteger

      Abschreibungsdauer in Jahren (für Anlagevermögen)

    • sort_orderinteger

      Sortierreihenfolge

    • is_activeboolean

      Ist die Kategorie aktiv/sichtbar?

    • colorstring

      Farbe für UI-Darstellung (Hex-Code)

    • iconstring

      Icon-Name für UI-Darstellung

    • is_systemboolean

      Ist dies eine System-Kategorie? (nicht löschbar)

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • itemsarray<InvoiceItem5>

    Items of the invoice.

    Show fields (18)
    • idinteger

      Primary key of the invoice item. Internal ID.

    • descriptionstring

      Description of the invoice item.

    • price_is_bruttoboolean

      Whether the price is a gross price including tax.

    • skustring

      Artikelnummer (Stock Keeping Unit)

    • barcodestring

      Barcode (ISBN, UPC, GTIN usw.)

    • item_typestring

      Typ (Item, Shipping)

    • netto_valuenumber (float)

      Net value of the invoice item.

    • brutto_valuenumber (float)

      Gross value of the invoice item.

    • tax_valuenumber (float)

      Tax amount of the invoice item.

    • quantitynumber (float)required

      Quantity of the invoice item.

    • pricenumber (float)required

      Unit price of the invoice item.

    • namestringrequired

      Name of the invoice item.

    • unitstringrequired

      Unit of the invoice item.

    • taxTax

      Tax rate applied to the invoice item.

    • invoiceInvoice5

      Invoice the item belongs to.

    • project_itemCRMProjectItem11

      Project item the invoice item was created from.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the item was created for.

    • productPredefinedBillingItem18

      Product of the item.

  • buyerInvoiceBuyer5

    Buyer of the invoice.

    Show fields (29)
    • idinteger

      Primary key of the client. Internal ID.

    • namestring

      Name of the client on the invoice.

    • vat_idstring

      VAT ID of the client.

    • taxnumberstring

      Tax number of the client.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • secondary_namestring

      Second name line of the client on the invoice.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • numberstring

      Customer number of the buyer.

    • search_stringstring

      Text that the entity can be searched by.

    • payment_ownerstring

      Account owner of the direct debit.

    • payment_institutionstring

      Name of the bank of the direct debit.

    • payment_bicstring

      BIC of the bank account.

    • payment_ibanstring

      IBAN of the bank account.

    • payment_mandatestring

      Reference of the SEPA mandate.

    • payment_mandate_sign_datestring (date-time)

      Date the SEPA mandate was signed.

    • payment_mandate_valid_until_datestring (date-time)

      Date until which the SEPA mandate is valid.

    • invoiceInvoice5

      Invoice the buyer belongs to.

  • payment_datestring (date-time)

    Date the invoice was paid.

  • vat_categorystring

    Der umsatzsteuerliche Sachverhalt. Der Steuersatz sagt nicht, in welche Zeile der Voranmeldung ein Umsatz gehört. Null Prozent stehen an einer innergemeinschaftlichen Lieferung (Kennzahl 41), an einer Ausfuhr (43), an einer Leistung nach § 13b UStG (60) und an einem steuerfreien Umsatz nach § 4 UStG (48) - vier verschiedene Zeilen, derselbe Steuersatz. Hier ist die einzige Stelle, an der jemand das weiss: beim Schreiben der Rechnung ist bekannt, ob der Kunde eine USt-IdNr. hat und wohin die Ware geht. Später ist es nicht mehr rekonstruierbar. Ohne Angabe der Regelfall - alles andere war bisher nicht erfassbar.

  • is_payment_date_from_ext_serviceboolean

    The payment date comes from an external service.

  • direct_debit_exportedboolean

    The invoice was exported for direct debit.

  • offerOffer11

    Offer the invoice was created from.

    Show fields (36)
    • idinteger

      Primary key of the invoice document. Internal ID.

    • tokenstring

      Token that identifies the document for public access.

    • numberinteger

      Running document number.

    • manual_number_prefixstring

      Prefix of a manually entered document number.

    • manual_numberinteger

      Manually entered document number.

    • number_stringstring

      Document number as displayed to users.

    • generation_datestring (date-time)

      Date the document was generated.

    • number_datestring (date-time)

      Date used for the document number.

    • messagestring

      Message printed on the document.

    • currencystring

      Currency of the document.

    • namestring

      Name of the document.

    • due_datestring (date-time)

      Due date of the document.

    • netto_valuenumber (float)

      Net total of the document.

    • brutto_valuenumber (float)

      Gross total of the document.

    • tax_valuenumber (float)

      Total tax amount of the document.

    • taxTaxrequired

      Tax rate applied to the document.

    • linked_number_titlestring

      Title of the linked document number.

    • linked_numberstring

      Number of the linked document.

    • statusstring

      Status of the document.

    • previous_statusstring

      Status before the last change.

    • status_updatedstring (date-time)

      Point in time the status was last changed.

    • archivedboolean

      Whether the document is archived.

    • last_pdf_exportstring (date-time)

      Point in time the PDF was last exported.

    • last_status_exportstring

      Status at the last export.

    • base_booking_groupBaseBookingGroup10

      Booking group the document is based on.

    • search_stringstring

      Text that the entity can be searched by.

    • offer_accounting_typeOfferAccountingTyperequired

      Accounting type of the offer.

    • itemsarray<OfferItem10>

      Items of the offer.

    • buyerOfferBuyer10

      Buyer of the offer.

    • accepted_datestring (date-time)

      Date the offer was accepted.

    • is_accepted_date_from_ext_serviceboolean

      The acceptance date comes from an external service.

    • projectCRMProject19

      Project the offer belongs to.

    • invoicesarray<Invoice5>

      Invoices created from the offer.

    • base_event_sign_upBaseEventSignUp11

      Sign-up the offer was created for.

    • base_bookingBaseBooking12

      Booking the offer was created for.

    • base_event_sign_up_groupBaseEventSignUpGroup2

      Sign-up group the offer was created for.

  • time_reportsarray<ProjectTimeReport6>

    Time reports billed on the invoice.

    Show fields (8)
    • idinteger

      Primary key of the project time report. Internal ID.

    • projectCRMProject19

      Project the time report belongs to.

    • invoiceInvoice5

      Invoice the time report was billed on.

    • time_billed_on_ticket_closeboolean

      Time is billed when the ticket is closed.

    • startstring (date-time)

      Start of the reported period.

    • endstring (date-time)

      End of the reported period.

    • time_string_billablestring

      Billable time as text.

    • time_string_not_billablestring

      Non-billable time as text.

  • payment_provider_statusstring

    Status at the payment provider.

  • payment_provider_referencestring

    Reference at the payment provider.

  • payment_provider_transaction_referencestring

    Transaction reference at the payment provider.

  • cancel_datestring (date-time)

    Date the invoice was canceled.

  • cancel_textstring

    Text of the cancellation.

  • base_event_sign_upBaseEventSignUp11

    Sign-up the invoice was created for.

    Show fields (4)
    • bib_range_idinteger
    • age_classstring

      Altersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.

    • idinteger

      Primary key of the sign-up. Internal ID.

[...]
